## org.eclipse.datatools.sqltools.core.services
Class ActionService

    java.lang.Object
      org.eclipse.datatools.sqltools.core.services.ActionService

public class ActionService
extends java.lang.Object

An action related service specific to control the actions

Author:
  Hui Wan

Constructor Summary
`ActionService()`

Method Summary
`boolean` `supportsAction(java.lang.String actionId)` Checks whether the action is supported.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionService

    public ActionService()

Method Detail

### supportsAction

    public boolean supportsAction(java.lang.String actionId)

  Checks whether the action is supported. The action id could be: `ISQLEditorActionConstants.EXPLAIN_SQL_ACTION_ID` `ISQLEditorActionConstants.EXECUTE_SQL_ACTION_ID` `ISQLEditorActionConstants.EXECTUE_SELECTION_SQL_ACTION_ID` `ISQLEditorActionConstants.GROUP_NEW_ROUTINE_ID` `ISQLEditorActionConstants.GROUP_INSERT_QUERY_ID` `ISQLEditorActionConstants.RUN_ACTION_ID` `ISQLEditorActionConstants.DEBUG_ACTION_ID` `ISQLEditorActionConstants.CREATE_DATABASE_ACTION_ID` `ISQLEditorActionConstants.RENAME_ACTION_ID`

  Parameters:
    `actionId` - Action id
  Returns:
    If support, return true, else return false

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.